org.eclipse.viatra.dse.designspace.api

## Class DesignSpace

- java.lang.Object
- - org.eclipse.viatra.dse.designspace.api.DesignSpace

- All Implemented Interfaces:
    IDesignSpace

      public class DesignSpace
      extends java.lang.Object
      implements IDesignSpace

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesignSpace()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addState(java.lang.Object sourceStateId, java.lang.Object firedActivationId, java.lang.Object newStateId)`
    `java.util.Collection<java.lang.Object>` | `getActivationIds(java.lang.Object stateId)`
    `long` | `getNumberOfStates()`
    `long` | `getNumberOfTransitions()`
    `java.lang.Object` | `getRandomActivationId(java.lang.Object stateId)`
    `java.util.Collection<java.lang.Object>` | `getRoots()`
    `java.util.Collection<java.lang.Object>` | `getStates()`
    `boolean` | `isTraversed(java.lang.Object stateId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DesignSpace

          public DesignSpace()

  - ### Method Detail

    - #### getStates

          public java.util.Collection<java.lang.Object> getStates()

      Specified by:
        `getStates` in interface `IDesignSpace`

    - #### getRoots

          public java.util.Collection<java.lang.Object> getRoots()

      Specified by:
        `getRoots` in interface `IDesignSpace`

    - #### addState

          public void addState(java.lang.Object sourceStateId,
                               java.lang.Object firedActivationId,
                               java.lang.Object newStateId)

      Specified by:
        `addState` in interface `IDesignSpace`

    - #### isTraversed

          public boolean isTraversed(java.lang.Object stateId)

      Specified by:
        `isTraversed` in interface `IDesignSpace`

    - #### getActivationIds

          public java.util.Collection<java.lang.Object> getActivationIds(java.lang.Object stateId)

      Specified by:
        `getActivationIds` in interface `IDesignSpace`

    - #### getRandomActivationId

          public java.lang.Object getRandomActivationId(java.lang.Object stateId)

      Specified by:
        `getRandomActivationId` in interface `IDesignSpace`

    - #### getNumberOfStates

          public long getNumberOfStates()

      Specified by:
        `getNumberOfStates` in interface `IDesignSpace`

    - #### getNumberOfTransitions

          public long getNumberOfTransitions()

      Specified by:
        `getNumberOfTransitions` in interface `IDesignSpace`